Vous n'êtes pas identifié(e).

Forum AccessDV Linux

Pour les débutants et déficients visuels. QR Code URL site ADVL

#1 Le 01-01-2018 à 14 : 57

Ecrit par Rouxel Antonin
Membre

Mise à jour

Bonjour
Il y a des mises à jours qui sont sorties pour Libre Office, Teamviewer 13, etc.
Comment les installer.
Au revoir

Cordialement

Hors ligne

#2 Le 01-01-2018 à 15 : 07

Ecrit par Mélanie
Administrator

Re : Mise à jour

Bonjour, il est toujours recommandé .... d'attendre que les nouvelles versions figurent dans les dépôts, pour éviter les bugs qui se produisent inévitablement au début. Cette patience qjui est demandée est une garantie de stabilité de Debian  (et donc de ADVL). Ça permet de faire la mise à jour en étant confiant que la machine marchera toujours demain, sans régression.

Hors ligne

#3 Le 02-01-2018 à 07 : 34

Ecrit par Mélanie
Administrator

Re : Mise à jour

Bonjour, il se peut que Libre-Office vous rappelle régulièrement qu'il existe une mise à jour potentielle. Et c'est agaçant ! On eut désactiver ce vérificateur de mise à jour de la façon suivante :
- lancer le logiciel LibreOffice
- aller au menu : options (ou faire : ALT + O)
- descendre sur la ligne : Options (ou frapper la touche O)
- valider avec Entrée.
- on arrive à la ligne : Libre Office qui doit être étendue (si elle ne l'est pas, frapper la Flèche-Droite)
- descendre sur la ligne : Mise à jour en ligne (il suffit pour cela de frapper la touche M une ou deux fois)
- tabuler jusqu'à : vérifier automatiquement les mises à jour disponibles.
- cocher cette case avec : Barre d'Espace.
- Valider avec Alt + O  et la fenêtre se ferme.

Hors ligne

#4 Le 11-01-2018 à 15 : 59

Ecrit par chalu
Membre

Re : Mise à jour

Bonjour smile

Mélanie a écrit :

il est toujours recommandé .... d'attendre que les nouvelles versions figurent dans les dépôts, pour éviter les bugs qui se produisent inévitablement au début. Cette patience qjui est demandée est une garantie de stabilité de Debian  (et donc de ADVL). Ça permet de faire la mise à jour en étant confiant que la machine marchera toujours demain, sans régression.

Le problème du message de Libreoffice vient justement du fait que la version utilisée dans ADVL n'est pas celle du dépôt officiel Jessie wink
La solution indiquée permet de ne plus être dérangé par le message invitant à faire la mise à jour mais il n'en reste pas moins que l'on ne bénéficie pas des mises à jours (de sécurité) des dépôts dans le cas de ce logiciel.

Dernière modification par chalu (12-01-2018 à 09 : 24)

Hors ligne

#5 Le 12-01-2018 à 08 : 32

Ecrit par Mélanie
Administrator

Re : Mise à jour

Les nouvelles versions de LibreOffice comportent presque exclusivement des améliorations et des nouveautés. Dans la liste des changements je n'ai pas trouvé de modification liée à la sécurité.

Hors ligne

#6 Le 12-01-2018 à 09 : 19

Ecrit par chalu
Membre

Re : Mise à jour

Bonjour et bonne année Mélanie smile
Sur Debian stable libreoffice a peu de mises à jour mais j’en ai vu passer quelques unes depuis que j’utilise ce système. Ce ne sont pas des mises à jour vers une version supérieure qui apporterait de nouvelles fonctionnalités, ce n’est pas la philosophie de Debian stable, mais ce sont des correctifs dans le cas de bugs sérieux et de problèmes de sécurité peut-être liés à java ou autres modules.
Les annonces de sécurité sont ici : https://www.libreoffice.org/about-us/se … dvisories/
C’est en anglais par contre.
Il est donc intéressant ( important ?) d’avoir une version de libreoffice liée à un dépôt pour pouvoir effectuer ces mises à jour de sécurité.
On peut voir pour la version utilisée sur Jessie qu’elle a été patchée par exemple en novembre 2017 pour raison de sécurité : http://metadata.ftp-master.debian.org/c … _changelog
Ce n’est pas la version utilisée par ADVL, cette dernière n’est pas reliée à un dépôt pour être corrigée automatiquement par la mise à jour du système.

Bonne journée

Dernière modification par chalu (12-01-2018 à 09 : 35)

Hors ligne

#7 Le 12-01-2018 à 11 : 40

Ecrit par Mélanie
Administrator

Re : Mise à jour

Re-bonjour Chalu.
Les mises à jour de sécurité ne sont pas comparables à celles dont on parle de temps en temps dans la presse internationale. Il s'agit de ne pas crier "au feu" ou "au fou" à propos ou mal-ta-propos pour effrayer inutilement. Je traduis par exemple (traduction automatique) une des dernières :

Windows Metafiles (WMF) can contain polygons which under certain circumstances when processed (split) can result in output polygons which have too many points to be represented by LibreOffice's internal polygon class.
Les métafichiers Windows (WMF) peuvent contenir des polygones qui, dans certaines circonstances, lorsqu'ils sont traités (scindés) peuvent générer des polygones en sortie comportant trop de points pour être représentés par la classe de polygone interne de LibreOffice.
Nos utilisateurs débutants, mal-voyants ou non-voyants seraient dubitatifs en lisant ceci.

Je lis aussi dans la page de Libre-Office, qu'il peut y avoir quelques bugs ennuyeux, ou bien qu'il faut réserver l'utilisation à des personnes expérimentées.

Et surtout, surtout, les toutes dernières versions posent de plus en plus de soucis avec le lecteur d'écran Orca. Elles n'apportent rien de plus réellement. Et ensuite il faudrait modifier la Machine à lire...à chaque mise à jour de Libre-Office !

Si un de nos utilisateurs mal-voyant ou non-voyant rencontrait, éventuellement, une difficulté précise, nous aviserions.

Hors ligne

#8 Le 12-01-2018 à 14 : 22

Ecrit par chalu
Membre

Re : Mise à jour

C’est sûr que les annonces de sécurité, quelles qu’elles soient, sont obscures pour les utilisateurs non informaticiens comme nous smile
Stretch utilise une version (ancienne) stable de libreoffice 5.2.7, j’imagine que ça règlera le problème quand ADVL passera sur stretch. wink

Hors ligne

#9 Le 12-01-2018 à 19 : 43

Ecrit par equipe-advl
Administrator

Re : Mise à jour

Nous ne voudrions pas entrer dans des considérations techniques imbuvables pour nos utilisateurs.

Cependant il est à constater que l'accessibilité de LibreOffice devient de moins en moins bonne sous Linux et Orca plus les versions avancent. Dans les faits, la meilleure version pour l'accessibilité était la 4.2. Pourquoi ? Simplement parce que sous LibreOffice, l'accessibilité passe par une couche JAVA. JAVA version libre sous Linux est moins bien développée que celle sous Windows.

Plus la version de LibreOffice est élevée, plus les versions de JAVA doivent suivre et sous Linux, cela avance bien moins vite que sous Windows. Si nous forçons une installation de JAVA (Windowsienne dirons-nous), c'est Orca qui ne suit plus.

Ajoutons que les versions "Debianisées" ont des impacts sur d'autres paquets installés (des dépendances sont créées), alors que les versions Linux prises à partir site LibreOffice s'installent (pour simplifier parce que c'est plus complexe que cela) dans un environnement protégé de telle façon à ne pas avoir la moindre dépendance avec d'autres paquets et elles incluentt bien sûr un mode de désinstallation (d'ailleurs) plus efficace que celles venant des dépôts Debian.

Aussi, privilégiant le niveau d'accessibilité de l'application à la course à la dernière version, notre choix s'est porté sur les versions (que l'on peut choisir) du site LibreOffice plutôt que celles des dépôts Debian (dont les sources sont celles du site LibreOffice mais modifiées (???) par Debian)...

Hors ligne

#10 Le 13-01-2018 à 08 : 18

Ecrit par chalu
Membre

Re : Mise à jour

C’est clair que ce n’est pas simple la maintenance d’une distribution.
Avec un dépôt pour ADVL et le nouveau moyen de mettre à jour dans la prochaine version, vous serez davantage maître de la situation pour que les mises à jour se fassent sans mettre à mal le fonctionnement des scripts et plus facilement pour l’utilisateur smile

Hors ligne

Pied de page des forums

Propulsé par FluxBB 1.5.10